# pymodbus.client.asynchronous.tornado package

Asynchronous framework adapter for tornado.

class `pymodbus.client.asynchronous.tornado.``AsyncModbusSerialClient`(*args, **kwargs)

  Bases: `pymodbus.client.asynchronous.tornado.BaseTornadoSerialClient`

  Tornado based asynchronous serial client

  `connect`()

    Connect to the socket identified by host and port

    Returns: | Future
    Return type: | tornado.concurrent.Future

  `get_socket`()

    Creates Pyserial object :return: serial object

class `pymodbus.client.asynchronous.tornado.``AsyncModbusTCPClient`(*args, **kwargs)

  Bases: `pymodbus.client.asynchronous.tornado.BaseTornadoClient`

  Tornado based Async tcp client

  `get_socket`()

    Creates socket object :return: socket

class `pymodbus.client.asynchronous.tornado.``AsyncModbusUDPClient`(*args, **kwargs)

  Bases: `pymodbus.client.asynchronous.tornado.BaseTornadoClient`

  Tornado based Async UDP client

  `get_socket`()

    Create socket object :return: socket

class `pymodbus.client.asynchronous.tornado.``BaseTornadoClient`(*args, **kwargs)

  Bases: `pymodbus.client.asynchronous.mixins.AsyncModbusClientMixin`

  Base Tornado client

  `close`()

    Closes the underlying IOStream

  `connect`()

    Connect to the socket identified by host and port

    Returns: | Future
    Return type: | tornado.concurrent.Future

  `execute`(request=None)

    Executes a transaction :param request: :return:

  `get_socket`()

    return instance of the socket to connect to

  `io_loop` = None
  `on_receive`(*args)

    On data recieve call back :param args: data received :return:

  `stream` = None

class `pymodbus.client.asynchronous.tornado.``BaseTornadoSerialClient`(*args, **kwargs)

  Bases: `pymodbus.client.asynchronous.mixins.AsyncModbusSerialClientMixin`

  Base Tonado serial client

  `close`()

    Closes the underlying IOStream

  `execute`(request=None)

    Executes a transaction :param request: Request to be written on to the bus :return:

  `get_socket`()

    return instance of the socket to connect to

  `io_loop` = None
  `on_receive`(*args)
  `stream` = None

class `pymodbus.client.asynchronous.tornado.``SerialIOStream`(connection, *args, **kwargs)

  Bases: `tornado.iostream.BaseIOStream`

  Serial IO Stream class to control and handle serial connections
    over tornado
  `close_fd`()

    Closes a serial Fd :return:

  `fileno`()

    Returns serial fd :return:

  `read_from_fd`()

    Reads from a fd :return:

  `write_to_fd`(data)

    Writes to a fd :param data: :return: